{********************************************************}
{                VIRT evaluator, ver 1.0                 }
{                   About window                         }
{       Copyright(c) Alexander Baranovsky,1999           }
{              mailto: ab@iai.donetsk.ua                 }
{********************************************************}

unit frmAbout;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls,ShellApi;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    Mailto1: TLabel;
    Mailto2: TLabel;
    http: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure httpClick(Sender: TObject);
    procedure Mailto2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.FormCreate(Sender: TObject);
begin
  Http.Cursor := -21;
  Mailto2.Cursor := -21;
end;

procedure TAboutBox.httpClick(Sender: TObject);
begin
  ShellExecute(Handle , 'open', PChar(Http.Caption), nil, nil, SW_MAXIMIZE);
end;

procedure TAboutBox.Mailto2Click(Sender: TObject);
begin
  ShellExecute(Handle , 'open', PChar('mailto:'+Mailto2.Caption), nil, nil, SW_MAXIMIZE);
end;

end.

