{********************************************************}
{                VIRT evaluator, ver 1.0                 }
{                   Script editor                        }
{       Copyright(c) Alexander Baranovsky,1999           }
{              mailto: ab@iai.donetsk.ua                 }
{********************************************************}

unit frmEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    Memo1: TMemo;
    Panel2: TPanel;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    RowCol: TLabel;
    CheckBox1: TCheckBox;
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Memo1Click(Sender: TObject);
    procedure Memo1KeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    ScriptFileName : String;
  end;

var
  Form2: TForm2;

implementation

uses frmMain;

{$R *.DFM}

procedure TForm2.Button2Click(Sender: TObject);
begin
  Application.HelpContext(0);
end;

procedure TForm2.Button4Click(Sender: TObject);
begin
  Close;
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
  if Memo1.Modified then
  begin
    if MessageBox( Handle, PChar('Save changes to ' + ScriptFileName + ' ?'),
       'Confirm', MB_ICONQUESTION or MB_YESNO ) = IDYES then
     Memo1.Lines.SaveToFile( ScriptFileName );
  end;
  Close;
end;

procedure TForm2.Memo1Click(Sender: TObject);
var
  X,Y : Integer;
begin
  with Memo1 do
  begin
    Y:=SendMessage(Handle, EM_LINEFROMCHAR, SelStart, 0);
    X:=SelStart-SendMessage(Handle, EM_LINEINDEX, Y, 0);
  end;
  RowCol.Caption:=Format('%d : %d', [Y+1, X+1]);
end;

procedure TForm2.Memo1KeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  Memo1Click( nil );
end;

procedure TForm2.FormShow(Sender: TObject);
begin
  Memo1Click( nil );
end;

end.
