--------------------------------------------------------------  
--  Subject : Sieve of Eratosthenes
--  Copyright (c) 1999 by A.Baranovsky
--------------------------------------------------------------

function Sieve( N )

  if N <= 200 then
    L := ceil( 1.6 * N / ln( N ) + 1 )
  else
    L := ceil ( N / ln( N - 2 )  + 1 )
  end

  P := array( L )

  P[ 1 ] := 1
  P[ 2 ] := 2
  P[ 3 ] := 3
  J := 3
  K := 3
  while K < N do
    I := 2
    S := Sqrt( K )
    label Start
    Inc( I )
    if P[ I ] > S then
      P[ J ] := K
      Inc( J )
    else
      if K / P[ I ] * P[ I ] <> K then 
        goto Start 
      end
    end 
    K := K + 2
  end
  
return P

P := Sieve( 100 )

writeln( P )

return